<?
if ($ku['status']==3){
echo "<div class='event'><h1>Боты</h1></div>";
echo "<div class='content'>";
if(isset($_POST['on'])){

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_POST['id'])."'"),0)!=1)
$err='ID  '.$_POST['id'].' не существует';

else
{

mysql_query("UPDATE `kolhoz_user` SET `us_online` = '1' WHERE `id` = '".intval($_POST['id'])."' LIMIT 1");
}
echo "Онлайн успешно включен";                             }
elseif(isset($_POST['off']))  
                                 {
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_POST['id'])."'"),0)!=1)
$err='ID  '.$_POST['id'].' не существует';

else
{

mysql_query("UPDATE `kolhoz_user` SET `us_online` = '0' WHERE `id` = '".intval($_POST['id'])."' LIMIT 1");
echo "Онлайн успешно выключен";
                                 }
                                 }
                                  
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `us_online` = '1'"),0);

$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];


if ($k_post==0){echo "<div class='block'>Нет игроков</div>";}

$q = mysql_query("SELECT * FROM `kolhoz_user` WHERE `us_online` = '1' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_assoc($q))
                                   {
echo '<div class="block">'.on_k($ank['id']).' <a class="" href=?user='.$ank['id'].'>'.nc($ank['id']).'</a>';

echo " ".med($ank['id'])."";
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '$ank[id]' AND `date_last` > '".(time()-600)."' LIMIT 1"),0)==1)
echo " <img src='img/icons/online.gif' alt='' class='*'/> [ID: ".$ank['id']."]</div>";
}
if ($k_page>1)str("?simaxa&",$k_page,$page);






echo '<div class="block">';
echo "<form method=\"post\" action=\"?simaxa\">\n";
echo "ID игрока:<br />\n<input name=\"id\" type=\"text\" /><br />\n";
echo "<input value=\"Включить\" name='on' type=\"submit\" /> \n";
echo "<input value=\"Выключить\" name='off' type=\"submit\" />\n";
echo "</form>\n";
echo "</div>";

include_once 'inc/foot.php';
}
else
header("Location:?myfarm");
?>